requiredCRANpackages <- sapply(c("dplyr", "tidyr", "pak", "arrow", "vroom",
                                 "ggplot2", "ggdensity", "gifski", "gganimate"),
                               require, character.only = TRUE, quietly = TRUE,
                               warn.conflicts = FALSE)
install.packages(names(requiredCRANpackages)[!requiredCRANpackages])

ip <- installed.packages()
if ("logLime" %in% rownames(ip)) {
  if (compareVersion(ip["logLime", "Version"], "0.3.4") < 0) {
    pak::pkg_install("tzoltak/logLime")
  }
}
if (!require(logLime, quietly = TRUE)) pak::pkg_install("tzoltak/logLime")
